Skip to main content
GET
/
api
/
v1
/
ppt
/
presentation
/
{id}
Get Presentation And Slides By Id
curl --request GET \
  --url https://api.presenton.ai/api/v1/ppt/presentation/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.presenton.ai/api/v1/ppt/presentation/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.presenton.ai/api/v1/ppt/presentation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "slides": [
    {
      "presentation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "layout_group": "<string>",
      "layout": "<string>",
      "index": 123,
      "content": {},
      "html_content": "<string>",
      "properties": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "speaker_note": "<string>"
    }
  ],
  "content": "<string>",
  "n_slides": 123,
  "language": "<string>",
  "title": "<string>",
  "tone": "<string>",
  "verbosity": "<string>",
  "theme": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

Authorization
string
required

Bearer JWT or API Key

Path Parameters

id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
user
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
slides
SlideModel · object[]
required
content
string | null
n_slides
integer | null
language
string | null
title
string | null
tone
string | null
verbosity
string | null
theme
Theme · object | null